@import "../../_mixins.scss";

.app-grid {
  filter: var(--invertFilter);

  .side-menu {
    background: linear-gradient(0deg, #ffffff 0%, #ffffff 100%);
    width: var(--sidebar-width);
    height: calc(100% - var(--header-height));
    position: fixed;
    top: var(--header-height);
    left: 0;
    display: flex;
    flex-direction: column;
    z-index: 100;
    padding-bottom: 5px;
    @include transitions(width 0.3s ease-out);

    .pointer {
      cursor: pointer;
    }
    .side-menu__collapse-toggle.open {
      button {
        &::before,
        &::after {
          opacity: 1;
        }
        &::before {
          transform: rotate(45deg);
        }

        &::after {
          transform: rotate(-45deg);
          top: 5px;
        }
      }
    }

    .side-menu__collapse-toggle {
      --toggle-width: 16px;
      display: flex;
      align-items: center;
      justify-content: flex-end;
      position: absolute;
      top: 0;
      right: calc(0px - var(--toggle-width));
      width: var(--toggle-width);
      height: 100vh;
      border: none;
      cursor: pointer;
      @include transitions(all 0.25s ease-in);

      button {
        height: 14px;
        width: var(--toggle-width);
        margin: 0;
        padding: 0;
        background: transparent;
        border: none;
        outline: none;
        position: relative;

        &::before,
        &::after {
          content: "";
          background-color: var(--primary);
          width: 2px;
          height: 8px;
          position: absolute;
          left: 8px;
          opacity: 0;
          transform: rotate(0deg);
          border-radius: 16px;
          transition: transform 200ms ease-in-out,
            opacity 300ms ease-in-out 200ms;
          opacity: 1;
        }

        &::before {
          top: 0px;
          transform: rotate(-45deg);
        }

        &::after {
          top: 4px;
          transform: rotate(45deg);
        }
      }
      &:hover {
        border-left: 3px solid var(--primary);

        button {
          &::before,
          &::after {
            opacity: 1;
          }
        }
      }
    }

    .search-sidemenu {
      padding: 5px 15px;
    }

    .icon-side-menu {
      width: 25px;
      height: 25px;
      background: var(--grey-font-m);
      margin: -2px 5px 0 -3px;
    }
    .side-menu__options {
      margin-top: 10px;
      overflow-x: hidden;
      overflow-y: auto;

      .side-menu__option {
        font-weight: 500;
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 10px;

        color: var(--black-font);
        text-decoration: none;
        @include transitions(all 0.25s ease-in);

        .arrow-side-menu {
          margin-left: auto;
          height: 10px;
          width: 10px;
        }

        span {
          @include text_one_line;
        }

        &.side-menu__option--active,
        &:hover {
          span {
            color: var(--primary);
            font-weight: 600;
          }

          text-decoration: none;
          background: var(--primary-light);
          border-bottom: 1px solid white;

          .icon-side-menu {
            background-color: var(--primary);
          }
        }
      }

      .option-parent {
        @include transitions(all 1s ease-in);
        &:hover {
          .child-options {
            display: block;
          }
        }
      }

      .child-option {
        display: flex;
        flex-direction: row;
        align-items: center;
        padding: 7px 0 7px 10px;
        font-family: var(--font-first);
        font-size: var(--font-xs);
        font-weight: 500 !important;
        color: #333333;
        font-weight: normal;
        margin: 0 0 0 20px;
        @include transitions(all 0.25s ease-in);

        span {
          @include text_one_line;
        }

        &.child-option--active,
        &:hover {
          background: var(--primary-light);
          text-decoration: none;

          .child-option-text {
            color: var(--primary);
            font-weight: 600;
          }
        }

        &:hover {
          text-decoration: underline;
        }
      }

      //overflow: auto;
      // custom scrollbar
      &::-webkit-scrollbar {
        width: 8px;
        height: 5px;
      }

      &::-webkit-scrollbar-track {
        background: none;
        border: none;
      }

      &::-webkit-scrollbar-thumb {
        background: #dcdcdc;
        border-radius: 10px;
      }

      &::-webkit-scrollbar-thumb:hover {
        background: var(--primary);
      }
    }
  }

  &.app-grid--side-menu-collapsed {
    .side-menu {
      width: var(--sidebar-width);

      .side-menu__collapse-toggle {
        button {
          &:hover {
            &::before {
              transform: rotate(-45deg);
            }

            &::after {
              transform: rotate(45deg);
              top: 4px;
            }
          }
        }
      }

      .side-menu__logo {
        box-shadow: none;
      }

      .side-menu__option span,
      .side-menu__fixed-options span {
        display: none;
      }
    }
  }

  .side-menu__fixed-options {
    display: flex;
    padding: 5px 10px;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 500;
    overflow-x: hidden;

    &:hover {
      span {
        color: var(--primary);
      }

      text-decoration: none;
      background: var(--primary-light);
      border-bottom: 1px solid white;

      .icon-side-menu {
        background-color: var(--primary);
      }
    }
  }
}

.custom-scroll {
  // custom scrollbar
  &::-webkit-scrollbar {
    width: 8px;
    height: 5px;
  }

  &::-webkit-scrollbar-track {
    background: #f7f7f796;
    border: none;
  }

  &::-webkit-scrollbar-thumb {
    background: #b4b3b3;
    border-radius: 10px;
  }

  &::-webkit-scrollbar-thumb:hover {
    background: var(--primary);
  }
}

.side-menu__logo {
  display: flex;
  flex-direction: row;
  width: 210px;
  align-items: center;
  box-shadow: -3px 4px 8px 0 rgba(0, 0, 0, 0.4);
  height: var(--header-height);
  min-height: var(--header-height);
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  @include transitions(box-shadow 0.25s ease);

  img {
    width: 100%;
    height: auto;
    padding: 20px;
  }
}
